{% load static %}

<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" type="text/css" href="{% static 'css/bootstrap.min.css' %}">

    <title>Story 3</title>
    <link rel="stylesheet" href="{% static 'css/style.css' %}">

    <style>
        table, th, td {
            border: 1px solid black;
            padding: 5px;
            padding-top: 10px;
            margin-top: 2%;
            margin-left: auto;
            margin-right: auto;
            text-align: center;
            }
        table {
            border-spacing: 15px;
            width: 70%;
        }
      
    </style>
  </head>

  <body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light fixed-top" id="mainNav">
        <div class="container">   
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" 
        aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav">
            <li class="nav-item">
              <a class="nav-link js-scrool-trigger" href="{% url 'home' %}">HOME</a> <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
              <a class="nav-link js-scrool-trigger" href="{% url 'about' %}">ABOUT</a></a>
            </li>
            <li class="nav-item">
                <a class="nav-link js-scroll-trigger" href="{% url 'resume' %}">RESUME</a></a>
            </li>
            <li class="nav-item">
                <a class="nav-link js-scroll-trigger" href="{% url 'forms' %}">FORMS</a></a>
            </li>
            <li class="nav-item">
              <a class="nav-link js-scroll-trigger" href="{% url 'friends' %}">FRIEND LIST</a></a>
            </li>
          </ul>
        </div>
        </div>
      </nav>

      <h1 style="margin-top: 5%; font-weight: bold; text-align: center">Friend List</h1>
      <table>
          <tr>
              <th style="font-weight: bold;">Name</th>
              <th style="font-weight: bold;">Year</th>
              <th style="font-weight: bold;">Hobby</th>
              <th style="font-weight: bold;">Favourite Food</th>
              <th style="font-weight: bold;">Favourite Drink</th>
          </tr>
            {% for post in Posts %}
            <tr>
                <th><p>{{post.Name}}</p></th>
                <th><p>{{post.Year}}</p></th>
                <th><p>{{post.Hobby}}</p></th>
                <th><p>{{post.Favourite_Food}}</p></th>
                <th><p>{{post.Favourite_Drink}}</p></th>

                <th><button type="reset" class="delete btn btn-primary" method = "POST">delete</button></th>
            </tr>    
            {% endfor %}
        </table>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script type="text/javascript" src="{% static 'js/a.js' %}"></script>
    <script type="text/javascript" src="{% static 'js/bootstrap.min.js' %}"></script>

  </body>
</html>